## pymol 0.95

=== Makefile ===

include Rules.make

all: unix contrib

PRIME = ls *.c | sed 's/.c$$/.o/'| awk 'BEGIN{printf("OBJS=")}{printf("%s ",$$1)}END{print}'>.files;ls *.c | sed 's/.c$$/.p/'| awk 'BEGIN{printf("DEPS=")}{printf("%s ",$$1)}END{print}'>>.files; touch .depends; cat .files .depends > .includes

MINDEP=$(PYMOL_PATH)/products/unix-mindep
MDP=$(MINDEP)/pymol

.includes:
	cd layer0;$(PRIME)
	cd layer1;$(PRIME)
	cd layer2;$(PRIME)
	cd layer3;$(PRIME)
	cd layer4;$(PRIME)
	cd layer5;$(PRIME)
	touch .includes

.update:
	cd layer0;$(MAKE)
	cd layer1;$(MAKE)
	cd layer2;$(MAKE)
	cd layer3;$(MAKE)
	cd layer4;$(MAKE)
	cd layer5;$(MAKE)
	touch .update

0:
	cd layer0;$(MAKE)

1:
	cd layer1;$(MAKE)

2:
	cd layer2;$(MAKE)

3:
	cd layer3;$(MAKE)

4:
	cd layer4;$(MAKE)

5:
	cd layer5;$(MAKE)

.depends: 
	/bin/rm -f .includes
	cd layer0;$(MAKE) depends
	cd layer1;$(MAKE) depends
	cd layer2;$(MAKE) depends
	cd layer3;$(MAKE) depends
	cd layer4;$(MAKE) depends
	cd layer5;$(MAKE) depends

.contrib:
	cd contrib;$(MAKE)
	touch .contrib

contrib: .contrib

unix: .includes .depends .update 
	/bin/rm -f .update .includes
	$(CC) $(BUILD) $(DEST) */*.o $(CFLAGS)  $(LIB_DIRS) $(LIBS)	

semistatic: .includes .depends .update
	/bin/rm -f .update .includes
	cd contrib;$(MAKE) static
	$(CC) $(BUILD) $(DEST) */*.o $(CFLAGS)  $(LIB_DIRS) $(LIBS)	

unix-mindep-build: semistatic
	$(PYTHON_EXE) modules/compile_pymol.py
	/bin/rm -rf $(MINDEP)
	install -d $(MDP)/ext/lib
	cp -r modules $(MDP)
	cp -r test $(MDP)
	cp -r data $(MDP)	
	cp -r examples $(MDP)
	cp -r scripts $(MDP)
	cp -r pymol.exe $(MDP)
	cp -r ext/lib/python2.2 $(MDP)/ext/lib
	cp -r ext/lib/tcl8.4 $(MDP)/ext/lib
	cp -r ext/lib/tk8.4 $(MDP)/ext/lib
	/bin/rm -f $(MDP)/ext/lib/python2.2/config/libpython2.2.a
	/bin/rm -rf $(MDP)/ext/lib/python2.2/test
	cp LICENSE $(MDP)
	cp README $(MDP)
	cp setup/INSTALL.unix-mindep $(MDP)/INSTALL
	cp setup/setup.sh.unix-mindep $(MDP)/setup.sh
	cd $(MINDEP);chown -R nobody pymol
	cd $(MINDEP);chgrp -R nobody pymol

unix-mindep: unix-mindep-build
	cd $(MINDEP);tar -cvf - pymol | gzip > ../pymol-0_xx-bin-xxxxx-mindep.tgz

unix-helper: unix-mindep-build
	cp setup/setup.sh.unix-helper $(MDP)/setup.sh
	cd $(MINDEP);tar -cvf - pymol | gzip > ../helperpymol-0_xx-bin-xxxxx-mindep.tgz

irix-mindep: semistatic
	$(PYTHON_EXE) modules/compile_pymol.py
	/bin/rm -rf $(MINDEP)
	mkdir products/unix-mindep
	mkdir products/unix-mindep/pymol
	mkdir products/unix-mindep/pymol/ext
	mkdir products/unix-mindep/pymol/ext/lib
	cp -r modules $(MDP)
	cp -r test $(MDP)
	cp -r data $(MDP)	
	cp -r examples $(MDP)
	cp -r pymol.exe $(MDP)
	cp -r ext/lib/python2.2 $(MDP)/ext/lib
	cp -r ext/lib/tcl8.4 $(MDP)/ext/lib
	cp -r ext/lib/tk8.4 $(MDP)/ext/lib
	/bin/rm -f $(MDP)/ext/lib/python2.2/config/libpython2.2.a
	/bin/rm -rf $(MDP)/ext/lib/python2.2/test
	cp LICENSE $(MDP)
	cp README $(MDP)
	cp setup/INSTALL.unix-mindep $(MDP)/INSTALL
	cp setup/setup.sh.unix-mindep $(MDP)/setup.sh
	cd $(MINDEP);chown -R nobody.nobody pymol
	cd $(MINDEP);tar -cvf - pymol |gzip > ../pymol-0_xx-bin-xxxxx-mindep.tgz

#windows: .includes .depends .update 
#
#	echo "EXPORTS" > _cmd.def
#	nm --demangle --defined-only */*.o | grep ' T ' | sed 's/.* T //' >> _cmd.def 
#	dllwrap --dllname _cmd.pyd --driver-name gcc $(BUILD) --def _cmd.def -o _cmd.pyd */*.o -s --entry _DllMain@12 --target=i386-mingw32 $(LIB_DIRS) $(LIBS) 
#	/bin/rm -f .update .includes

#cygwin: .includes .depends .update
#	$(CC) -shared -W1,--enable-auto-image-base */*.o $(LIB_DIRS) $(LIBS) $(DEST)

fast: .update
	/bin/rm -f .update 
	$(CC) $(BUILD) */*.o $(CFLAGS) $(LIB_DIRS) $(LIBS)

depends: 
	/bin/rm -f */*.p
	$(MAKE) .depends

partial:
	touch layer5/main.c
	touch layer1/P.c
	touch layer4/Cmd.c
	/bin/rm -f modules/pymol/_cmd.so pymol.exe
	$(MAKE)

clean: 
	touch .no_fail
	/bin/rm -f layer*/*.o layer*/*.p modules/*/*.pyc modules/*/*/*.pyc \
	layer*/.files layer*/.depends layer*/.includes \
	*.log core */core game.* log.* _cmd.def .update .contrib .no_fail*
	cd contrib;$(MAKE) clean

distclean: clean
	touch .no_fail
	/bin/rm -f modules/*.pyc modules/*.so modules/*/*.so modules/*/*.so \
	modules/*/*/*/*.so pymol.exe \
	modules/*/*.pyc modules/*/*/*.pyc modules/*/*/*/*.pyc .no_fail* test/cmp/*
	/bin/rm -rf build
	/bin/rm -rf products/*.tgz products/unix-mindep
	cd contrib;$(MAKE) distclean

pyclean: clean
	/bin/rm -rf build
	/bin/rm -rf ext/lib/python2.1/site-packages/pymol
	/bin/rm -rf ext/lib/python2.1/site-packages/chempy
	/bin/rm -rf ext/lib/python2.1/site-packages/pmg_tk
	/bin/rm -rf ext/lib/python2.1/site-packages/pmg_wx

dist: distclean
	cd ..;tar -cvf - pymol | gzip > pymol.tgz

pmw: 
	cd modules; gunzip < ./pmg_tk/pmw.tgz | tar xvf -

compileall:
	$(PYTHON_EXE) modules/compile_pymol.py

# Everything below here is for the MacPyMOL Incentive Product, which is
# not currently Open-Source (though that may change in the future).
# Compilation of MacPyMOL requires layerOSX.

OSXPROD=products/MacPyMOL.app
OSXVIEWER=products/PyMOLViewer.app
OSXHYBRID=products/PyMOLX11Hybrid.app
OSXHELPER=products/HelperPyMOL.app
OSXFRWK=products/FrameworkPyMOL.app
OSXDEMO=products/PyMOL\ Demos
OSXPYMOL=$(OSXPROD)/pymol
OSXEXE=$(OSXPROD)/Contents/MacOS/PyMOL
OSXPY=$(OSXPROD)/py23

osx-wrap:
	/bin/rm -rf $(OSXPYMOL) $(OSXEXE) $(OSXPY)
	/usr/local/bin/tar -czvf layerOSX/bundle/app.hfstar $(OSXPROD)

osx-unwrap:
	/bin/rm -rf $(OSXPROD)
	/usr/local/bin/tar -xzvf layerOSX/bundle/app.hfstar

osx-python-framework:
	cc layerOSX/bundle/python.c -o $(OSXEXE) $(DEFS)\
$(PYTHON_INC_DIR) \
-framework CoreFoundation -framework Python -lc -Wno-long-double

osx-python-standalone:
	cc layerOSX/bundle/python.c -o $(OSXEXE) $(DEFS)\
$(PYTHON_INC_DIR) -Lext/lib -Lext/lib/python2.3/config -lpython2.3 \
-framework CoreFoundation -lc -Wno-long-double -D_PYMOL_OSX_PYTHONHOME

osx: 
	cd layerOSX; $(MAKE)
	$(MAKE) 

osx-dev: osx
	cp modules/pymol/_cmd.so $(OSXPYMOL)/modules/pymol

osx-pdev:
	/bin/rm -rf $(OSXPYMOL)/modules/pymol
	cp -R modules/pymol $(OSXPYMOL)/modules/pymol

osx-product: osx 
	$(PYTHON_EXE) modules/compile_pymol.py
	/bin/rm -rf $(OSXPYMOL)
	install -d $(OSXPYMOL)
	cp -R modules $(OSXPYMOL)/
	cp -R test $(OSXPYMOL)/
	cp -R data $(OSXPYMOL)/	
	cp -R scripts $(OSXPYMOL)/	
	cp -R examples $(OSXPYMOL)/
	cp LICENSE $(OSXPYMOL)/
	cp README $(OSXPYMOL)/


osx-standalone: osx-unwrap osx-python-standalone osx-product
	/bin/rm -rf $(OSXPY)
	install -d $(OSXPY)/lib
	cp -R ext/lib/python2.3 $(OSXPY)/lib/

osx-wrap-demos:
	/usr/local/bin/tar -czvf layerOSX/applescript.hfstar $(OSXDEMO)

osx-unwrap-demos:
	/usr/local/bin/tar -xzvf layerOSX/applescript.hfstar

osx-demo-data:
	install -d $(OSXPYMOL)/data/demo
	cp -R demo_data/* $(OSXPYMOL)/data/demo/

osx-demo: osx-standalone osx-demo-data osx-unwrap-demos 

mac-framework: osx-unwrap osx-python-framework osx-product
	/bin/rm -rf $(OSXFRWK)
	/bin/cp -R $(OSXPROD) $(OSXFRWK)
	sed 's/MacPyMOL/FrameworkPyMOL/' $(OSXFRWK)/Contents/Info.plist > $(OSXFRWK)/Contents/Info.plist.tmp
	mv $(OSXFRWK)/Contents/Info.plist.tmp $(OSXFRWK)/Contents/Info.plist
	/bin/rm -r $(OSXFRWK)/Contents/Resources/English.lproj/MainMenu.nib
	/bin/rm -r $(OSXFRWK)/Contents/Resources/English.lproj/MainMenu~.nib

mac: osx-standalone
	/bin/cp layerOSX/bundle/splash.png $(OSXPYMOL)/data/pymol/

mac-helper: mac
	/bin/rm -rf $(OSXHELPER)
	/bin/cp -R $(OSXPROD) $(OSXHELPER)
	sed 's/MacPyMOL/HelperPyMOL/' $(OSXHELPER)/Contents/Info.plist > $(OSXHELPER)/Contents/Info.plist.tmp
	mv $(OSXHELPER)/Contents/Info.plist.tmp $(OSXHELPER)/Contents/Info.plist
	/bin/cp data/pymol/splash.png $(OSXHELPER)/pymol/data/pymol/
	/bin/rm -r $(OSXHELPER)/Contents/Resources/English.lproj/MainMenu.nib
	/bin/rm -r $(OSXHELPER)/Contents/Resources/English.lproj/MainMenu~.nib

mac-viewer: mac
	/bin/rm -rf $(OSXVIEWER)
	/bin/cp -R $(OSXPROD) $(OSXVIEWER)
	sed 's/MacPyMOL/PyMOLViewer/' $(OSXVIEWER)/Contents/Info.plist > $(OSXVIEWER)/Contents/Info.plist.tmp
	mv $(OSXVIEWER)/Contents/Info.plist.tmp $(OSXVIEWER)/Contents/Info.plist
	/bin/cp data/pymol/splash.png $(OSXVIEWER)/pymol/data/pymol/
	/bin/rm -r $(OSXVIEWER)/Contents/Resources/English.lproj/MainMenu.nib
	/bin/rm -r $(OSXVIEWER)/Contents/Resources/English.lproj/MainMenu~.nib

mac-hybrid: mac
	/bin/rm -rf $(OSXHYBRID)
	/bin/cp -R $(OSXPROD) $(OSXHYBRID)
	sed 's/MacPyMOL/PyMOLX11Hybrid/' $(OSXHYBRID)/Contents/Info.plist > $(OSXHYBRID)/Contents/Info.plist.tmp
	mv $(OSXHYBRID)/Contents/Info.plist.tmp $(OSXHYBRID)/Contents/Info.plist
	/bin/cp data/pymol/splash.png $(OSXHYBRID)/pymol/data/pymol/
	/bin/rm -r $(OSXHYBRID)/Contents/Resources/English.lproj/MainMenu.nib
	/bin/rm -r $(OSXHYBRID)/Contents/Resources/English.lproj/MainMenu~.nib
	/bin/cp -r ext/lib/tcl8.4 $(OSXHYBRID)
	/bin/cp -r ext/lib/tk8.4 $(OSXHYBRID)


mac-beta:
	make distclean
	make mac

=== contrib/Makefile ===
include ../Rules.make

all: make-modules make-sglite make-pyopengl

static:
	cd modules;$(MAKE) -f Makefile.static
	cd sglite;$(MAKE) static
	cd pyopengl;$(MAKE) static

make-modules:
	cd modules;echo installdir=$(PYMOL_PATH)/modules > Makefile.pre.in 
	cd modules;echo PYTHON=$(PYTHON_EXE) >> Makefile.pre.in 
	cd modules;echo PYTHONFRAMEWORK=Python >> Makefile.pre.in
	cd modules;cat Makefile.pre.in.src >> Makefile.pre.in 
	cd modules;$(MAKE) -f Makefile.pre.in boot
	cd modules;$(MAKE)
	mv modules/*.so ../modules/pymol
	cd modules;$(MAKE) distclean
	cd modules;/bin/rm Makefile.pre.in

make-sglite:
	cd sglite;$(MAKE) 
	mv sglite/*.so ../modules/pymol

make-pyopengl:
	cd pyopengl;$(MAKE) 
	mv pyopengl/_glut*.so ../modules/pymol/opengl/glut
	mv pyopengl/_opengl*.so ../modules/pymol/opengl/gl
	mv pyopengl/_glu*.so ../modules/pymol/opengl/glu
	mv pyopengl/opengl*.so ../modules/pymol/opengl/gl

make-champ:
	cd champ;$(MAKE) 
	mv champ/*.so ../modules/pymol

clean: 
	cd sglite;$(MAKE) clean
	/bin/rm -f */*.o

distclean: clean
	cd sglite;$(MAKE) distclean

=== contrib/champ/Makefile ===

all: module

include ../../Rules.make
include .includes

PRIME = ls *.c | sed 's/.c$$/.o/'| awk 'BEGIN{printf("OBJS=")}{printf("%s ",$$1)}END{print}'>.files;ls *.c | sed 's/.c$$/.p/'| awk 'BEGIN{printf("DEPS=")}{printf("%s ",$$1)}END{print}'>>.files; touch .depends; cat .files .depends > .includes

.includes:
	$(PRIME)

.c.p:
	$(CC) -M $(CFLAGS) $< | sed 's/$*\\.o[ :]*/& $@/g;s/[^ ]*\/usr\/[^ ]*//g;s/[^ ]*\/ext\/[^ ]*//g' > $@

module: $(DEPS) $(OBJS)
	$(CC) $(CCOPT1) -shared *.o -o _champ.so $(GLLIBS)
	mv _champ.so ../../modules

depends: $(DEPS)
	cat *.p > .depends;cat .files .depends > .includes;

clean:
	/bin/rm -f *.o *.p *.so .depends .includes .files

## pymol 0.97

=== Makefile ===
--- 
+++ 
@@ -155,7 +155,7 @@
 
 distclean: clean
 	touch .no_fail
-	/bin/rm -f modules/*.pyc modules/*.so modules/*/*.so modules/*/*.so \
+	/bin/rm -f modules/*.pyc modules/*.so modules/*/*.so modules/*/*/*.so \
 	modules/*/*/*/*.so pymol.exe \
 	modules/*/*.pyc modules/*/*/*.pyc modules/*/*/*/*.pyc .no_fail* test/cmp/*
 	/bin/rm -rf build
@@ -187,7 +187,7 @@
 OSXHYBRID=products/PyMOLX11Hybrid.app
 OSXHELPER=products/HelperPyMOL.app
 OSXFRWK=products/FrameworkPyMOL.app
-OSXDEMO=products/PyMOL\ Demos
+OSXDEMO=products/MacPyMOL\ Demos
 OSXPYMOL=$(OSXPROD)/pymol
 OSXEXE=$(OSXPROD)/Contents/MacOS/PyMOL
 OSXPY=$(OSXPROD)/py23
@@ -239,17 +239,17 @@
 	install -d $(OSXPY)/lib
 	cp -R ext/lib/python2.3 $(OSXPY)/lib/
 
-osx-wrap-demos:
+mac-wrap-demos:
 	/usr/local/bin/tar -czvf layerOSX/applescript.hfstar $(OSXDEMO)
 
-osx-unwrap-demos:
+mac-unwrap-demos:
 	/usr/local/bin/tar -xzvf layerOSX/applescript.hfstar
 
-osx-demo-data:
+mac-demo-data:
 	install -d $(OSXPYMOL)/data/demo
 	cp -R demo_data/* $(OSXPYMOL)/data/demo/
 
-osx-demo: osx-standalone osx-demo-data osx-unwrap-demos 
+mac-demo: osx-standalone mac-demo-data mac-unwrap-demos 
 
 mac-framework: osx-unwrap osx-python-framework osx-product
 	/bin/rm -rf $(OSXFRWK)

=== contrib/Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 include ../Rules.make
 
-all: make-modules make-sglite make-pyopengl
+all: make-modules make-sglite make-pyopengl make-champ
 
 static:
 	cd modules;$(MAKE) -f Makefile.static
 	cd sglite;$(MAKE) static
 	cd pyopengl;$(MAKE) static
+	cd champ;$(MAKE) static
 
 make-modules:
 	cd modules;echo installdir=$(PYMOL_PATH)/modules > Makefile.pre.in 
@@ -31,15 +32,12 @@
 
 make-champ:
 	cd champ;$(MAKE) 
-	mv champ/*.so ../modules/pymol
+#	mv champ/*.so ../modules/pymol
 
 clean: 
 	cd sglite;$(MAKE) clean
+	cd champ;$(MAKE) clean
 	/bin/rm -f */*.o
 
 distclean: clean
 	cd sglite;$(MAKE) distclean
-
-
-
-

=== layer0/Makefile ===

include ../Rules.make

CFLAGS = $(PYMOL_INC_DIRS) $(C_FLAGS)

all: layer

include .includes

.c.p:
	$(CC) -M $(CFLAGS) $< | sed 's/$*\\.o[ :]*/& $@/g;s/[^ ]*\/usr\/[^ ]*//g;s/[^ ]*\/ext\/[^ ]*//g' > $@

layer: $(DEPS) $(OBJS)

depends: $(DEPS)
	cat *.p > .depends;cat .files .depends > .includes;

=== contrib/champ/Makefile ===
--- 
+++ 
@@ -13,8 +13,10 @@
 	$(CC) -M $(CFLAGS) $< | sed 's/$*\\.o[ :]*/& $@/g;s/[^ ]*\/usr\/[^ ]*//g;s/[^ ]*\/ext\/[^ ]*//g' > $@
 
 module: $(DEPS) $(OBJS)
-	$(CC) $(CCOPT1) -shared *.o -o _champ.so $(GLLIBS)
-	mv _champ.so ../../modules
+	$(CC) $(CCOPT1) $(BUILD) *.o -o _champ.so $(GLLIBS)
+	mv _champ.so ../../modules/chempy/champ/
+
+static: $(DEPS) $(OBJS)
 
 depends: $(DEPS)
 	cat *.p > .depends;cat .files .depends > .includes;

=== contrib/pyopengl/Makefile ===
include ../../Rules.make

CFLAGS = $(C_FLAGS) -DHAVE_ARRAYOBJECT_H

GLLIBS = $(LIB_DIRS) $(PYOGL_LIB)
all: \
_glu_nummodule.so \
_glumodule.so \
_glutmodule.so \
_opengl_nummodule.so \
_openglmodule.so \
openglutil.so \
openglutil_num.so                                                                  
static:_glu_nummodule.o \
_glumodule.o \
_glutmodule.o \
_opengl_nummodule.o \
_openglmodule.o \
openglutil.o \
openglutil_num.o

.c.o: 
	$(CC) $(CFLAGS) -c $*.c -DPythonTypes

_glu_nummodule.so: _glu_nummodule.o
	$(CC) $(CCOPT1) $(BUILD) _glu_nummodule.o -o _glu_nummodule.so $(GLLIBS)

_glumodule.so: _glumodule.o
	$(CC) $(CCOPT1) $(BUILD) _glumodule.o -o _glumodule.so $(GLLIBS)

_glutmodule.so: _glutmodule.o
	$(CC) $(CCOPT1) $(BUILD) _glutmodule.o -o _glutmodule.so $(GLLIBS) 

_opengl_nummodule.so: _opengl_nummodule.o
	$(CC) $(CCOPT1) $(BUILD) _opengl_nummodule.o -o _opengl_nummodule.so $(GLLIBS)

_openglmodule.so: _openglmodule.o
	$(CC) $(CCOPT1) $(BUILD) _openglmodule.o -o _openglmodule.so $(GLLIBS)

openglutil.so: openglutil.o
	$(CC) $(CCOPT1) $(BUILD) openglutil.o -o openglutil.so $(GLLIBS)

openglutil_num.so: openglutil_num.o
	$(CC) $(CCOPT1) $(BUILD) openglutil_num.o -o openglutil_num.so $(GLLIBS)      
                                                          
clean:
	touch .no_fail
	/bin/rm -f *.so *.o .no_fail*

distclean: clean

## pymol 0.98

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 MDP=$(MINDEP)/pymol
 
 .includes:
+	cd ov/src;$(PRIME)
 	cd layer0;$(PRIME)
 	cd layer1;$(PRIME)
 	cd layer2;$(PRIME)
@@ -18,6 +19,7 @@
 	touch .includes
 
 .update:
+	cd ov/src;$(MAKE)
 	cd layer0;$(MAKE)
 	cd layer1;$(MAKE)
 	cd layer2;$(MAKE)
@@ -26,6 +28,9 @@
 	cd layer5;$(MAKE)
 	touch .update
 
+ov: 
+	cd ov/src;$(MAKE)
+
 0:
 	cd layer0;$(MAKE)
 
@@ -46,6 +51,7 @@
 
 .depends: 
 	/bin/rm -f .includes
+	cd ov/src;$(MAKE) depends
 	cd layer0;$(MAKE) depends
 	cd layer1;$(MAKE) depends
 	cd layer2;$(MAKE) depends
@@ -59,17 +65,25 @@
 
 contrib: .contrib
 
+lib:  .includes .depends .update 
+	/bin/rm -f .update .includes
+	ar crv libPyMOL.a */*.o ov/src/*.o 
+	ranlib libPyMOL.a
+
 unix: .includes .depends .update 
 	/bin/rm -f .update .includes
-	$(CC) $(BUILD) $(DEST) */*.o $(CFLAGS)  $(LIB_DIRS) $(LIBS)	
+	$(CC) $(BUILD) $(DEST) */*.o ov/src/*.o $(CFLAGS)  $(LIB_DIRS) $(LIBS)	
+
 
 semistatic: .includes .depends .update
 	/bin/rm -f .update .includes
 	cd contrib;$(MAKE) static
-	$(CC) $(BUILD) $(DEST) */*.o $(CFLAGS)  $(LIB_DIRS) $(LIBS)	
-
-unix-mindep-build: semistatic
-	$(PYTHON_EXE) modules/compile_pymol.py
+	$(CC) $(BUILD) $(DEST) */*.o ov/src/*.o $(CFLAGS) $(LIB_DIRS) $(LIBS)	
+	$(PYTHON_EXE) modules/compile_pymol.py
+
+# need to be root to do this...
+
+unix-mindep: semistatic
 	/bin/rm -rf $(MINDEP)
 	install -d $(MDP)/ext/lib
 	cp -r modules $(MDP)
@@ -78,19 +92,26 @@
 	cp -r examples $(MDP)
 	cp -r scripts $(MDP)
 	cp -r pymol.exe $(MDP)
-	cp -r ext/lib/python2.2 $(MDP)/ext/lib
+	cp -r ext/lib/python2.3 $(MDP)/ext/lib
 	cp -r ext/lib/tcl8.4 $(MDP)/ext/lib
 	cp -r ext/lib/tk8.4 $(MDP)/ext/lib
-	/bin/rm -f $(MDP)/ext/lib/python2.2/config/libpython2.2.a
-	/bin/rm -rf $(MDP)/ext/lib/python2.2/test
+	/bin/rm -f $(MDP)/ext/lib/python2.3/config/libpython2.3.a
+	/bin/rm -rf $(MDP)/ext/lib/python2.3/test
 	cp LICENSE $(MDP)
 	cp README $(MDP)
 	cp setup/INSTALL.unix-mindep $(MDP)/INSTALL
 	cp setup/setup.sh.unix-mindep $(MDP)/setup.sh
+
+unix-beta: unix-mindep
+	cp epymol/data/pymol/beta/splash.png $(MDP)/data/pymol/splash.png
 	cd $(MINDEP);chown -R nobody pymol
 	cd $(MINDEP);chgrp -R nobody pymol
-
-unix-mindep: unix-mindep-build
+	cd $(MINDEP);tar -cvf - pymol | gzip > ../pymol-0_xx-bin-xxxxx-mindep.tgz
+
+unix-product: unix-mindep
+	cp epymol/data/pymol/splash.png $(MDP)/data/pymol/splash.png
+	cd $(MINDEP);chown -R nobody pymol
+	cd $(MINDEP);chgrp -R nobody pymol
 	cd $(MINDEP);tar -cvf - pymol | gzip > ../pymol-0_xx-bin-xxxxx-mindep.tgz
 
 unix-helper: unix-mindep-build
@@ -109,11 +130,11 @@
 	cp -r data $(MDP)	
 	cp -r examples $(MDP)
 	cp -r pymol.exe $(MDP)
-	cp -r ext/lib/python2.2 $(MDP)/ext/lib
+	cp -r ext/lib/python2.3 $(MDP)/ext/lib
 	cp -r ext/lib/tcl8.4 $(MDP)/ext/lib
 	cp -r ext/lib/tk8.4 $(MDP)/ext/lib
-	/bin/rm -f $(MDP)/ext/lib/python2.2/config/libpython2.2.a
-	/bin/rm -rf $(MDP)/ext/lib/python2.2/test
+	/bin/rm -f $(MDP)/ext/lib/python2.3/config/libpython2.3.a
+	/bin/rm -rf $(MDP)/ext/lib/python2.3/test
 	cp LICENSE $(MDP)
 	cp README $(MDP)
 	cp setup/INSTALL.unix-mindep $(MDP)/INSTALL
@@ -121,6 +142,44 @@
 	cd $(MINDEP);chown -R nobody.nobody pymol
 	cd $(MINDEP);tar -cvf - pymol |gzip > ../pymol-0_xx-bin-xxxxx-mindep.tgz
 
+# Sharp3D display running under linux
+
+unix-s3d: .includes .depends .update 
+	cd sharp3d/src; $(MAKE)
+	$(CC) $(BUILD) $(DEST) */*.o ov/src/*.o sharp3d/src/*.o $(CFLAGS) $(LIB_DIRS) $(LIBS) -Lsharp3d/lib -lsgl.1.3 -lspl.1.2 
+
+unix-s3d-semistatic: .includes .depends .update
+	/bin/rm -f .update .includes
+	cd contrib;$(MAKE) static
+	cd sharp3d/src; $(MAKE)
+	$(CC) $(BUILD) $(DEST) */*.o ov/src/*.o sharp3d/src/*.o $(CFLAGS) $(LIB_DIRS) $(LIBS) -Lsharp3d/lib -lsgl.1.3 -lspl.1.2 
+
+unix-s3d-build: unix-s3d-semistatic
+	$(PYTHON_EXE) modules/compile_pymol.py
+	/bin/rm -rf $(MINDEP)
+	install -d $(MDP)/ext/lib
+	cp -r modules $(MDP)
+	cp -r test $(MDP)
+	cp -r data $(MDP)	
+	cp -r examples $(MDP)
+	cp -r scripts $(MDP)
+	cp -r pymol.exe $(MDP)
+	cp -r ext/lib/python2.3 $(MDP)/ext/lib
+	cp -r ext/lib/tcl8.4 $(MDP)/ext/lib
+	cp -r ext/lib/tk8.4 $(MDP)/ext/lib
+	cp sharp3d/lib/* $(MDP)/ext/lib/
+	/bin/rm -f $(MDP)/ext/lib/python2.3/config/libpython2.3.a
+	/bin/rm -rf $(MDP)/ext/lib/python2.3/test
+	cp LICENSE $(MDP)
+	cp README $(MDP)
+	cp setup/INSTALL.unix-mindep $(MDP)/INSTALL
+	cp setup/setup.sh.unix-s3d $(MDP)/setup.sh
+	cd $(MINDEP);chown -R nobody pymol
+	cd $(MINDEP);chgrp -R nobody pymol
+
+unix-s3d-product: unix-s3d-build
+	cd $(MINDEP);tar -cvf - pymol | gzip > ../pymol-0_xx-bin-sharp3d.tgz
+
 #windows: .includes .depends .update 
 #
 #	echo "EXPORTS" > _cmd.def
@@ -133,7 +192,7 @@
 
 fast: .update
 	/bin/rm -f .update 
-	$(CC) $(BUILD) */*.o $(CFLAGS) $(LIB_DIRS) $(LIBS)
+	$(CC) $(BUILD) */*.o ov/src/*.o $(CFLAGS) $(LIB_DIRS) $(LIBS)
 
 depends: 
 	/bin/rm -f */*.p
@@ -148,9 +207,10 @@
 
 clean: 
 	touch .no_fail
-	/bin/rm -f layer*/*.o layer*/*.p modules/*/*.pyc modules/*/*/*.pyc \
-	layer*/.files layer*/.depends layer*/.includes \
-	*.log core */core game.* log.* _cmd.def .update .contrib .no_fail*
+	/bin/rm -f layer*/*.o ov/src/*.o layer*/*.p modules/*/*.pyc modules/*/*/*.pyc \
+	layer*/.files layer*/.depends layer*/.includes layerOSX*/src*/*.o \
+	*.log core */core game.* log.* _cmd.def .update .contrib .no_fail* \
+	libPyMOL.a
 	cd contrib;$(MAKE) clean
 
 distclean: clean
@@ -178,9 +238,8 @@
 compileall:
 	$(PYTHON_EXE) modules/compile_pymol.py
 
-# Everything below here is for the MacPyMOL Incentive Product, which is
-# not currently Open-Source (though that may change in the future).
-# Compilation of MacPyMOL requires layerOSX.
+# Everything below here is for the MacPyMOL Incentive Product
+# Compilation of MacPyMOL requires layerOSX source code (closed source)
 
 OSXPROD=products/MacPyMOL.app
 OSXVIEWER=products/PyMOLViewer.app
@@ -194,11 +253,11 @@
 
 osx-wrap:
 	/bin/rm -rf $(OSXPYMOL) $(OSXEXE) $(OSXPY)
-	/usr/local/bin/tar -czvf layerOSX/bundle/app.hfstar $(OSXPROD)
+	$(PYMOL_PATH)/layerOSX/tar -czvf layerOSX/bundle/app.hfstar $(OSXPROD)
 
 osx-unwrap:
 	/bin/rm -rf $(OSXPROD)
-	/usr/local/bin/tar -xzvf layerOSX/bundle/app.hfstar
+	$(PYMOL_PATH)/layerOSX/tar -xzvf layerOSX/bundle/app.hfstar
 
 osx-python-framework:
 	cc layerOSX/bundle/python.c -o $(OSXEXE) $(DEFS)\
@@ -210,8 +269,9 @@
 $(PYTHON_INC_DIR) -Lext/lib -Lext/lib/python2.3/config -lpython2.3 \
 -framework CoreFoundation -lc -Wno-long-double -D_PYMOL_OSX_PYTHONHOME
 
+
 osx: 
-	cd layerOSX; $(MAKE)
+	cd layerOSX/src; $(MAKE)
 	$(MAKE) 
 
 osx-dev: osx
@@ -220,12 +280,14 @@
 osx-pdev:
 	/bin/rm -rf $(OSXPYMOL)/modules/pymol
 	cp -R modules/pymol $(OSXPYMOL)/modules/pymol
+	cp -R layerOSX/plugin/pmg_aqua $(OSXPYMOL)/modules/
 
 osx-product: osx 
 	$(PYTHON_EXE) modules/compile_pymol.py
 	/bin/rm -rf $(OSXPYMOL)
 	install -d $(OSXPYMOL)
 	cp -R modules $(OSXPYMOL)/
+	cp -R layerOSX/plugin/pmg_aqua $(OSXPYMOL)/modules/
 	cp -R test $(OSXPYMOL)/
 	cp -R data $(OSXPYMOL)/	
 	cp -R scripts $(OSXPYMOL)/	
@@ -260,7 +322,7 @@
 	/bin/rm -r $(OSXFRWK)/Contents/Resources/English.lproj/MainMenu~.nib
 
 mac: osx-standalone
-	/bin/cp layerOSX/bundle/splash.png $(OSXPYMOL)/data/pymol/
+	/bin/cp epymol/data/pymol/splash.png $(OSXPYMOL)/data/pymol/
 
 mac-helper: mac
 	/bin/rm -rf $(OSXHELPER)
@@ -285,13 +347,16 @@
 	/bin/cp -R $(OSXPROD) $(OSXHYBRID)
 	sed 's/MacPyMOL/PyMOLX11Hybrid/' $(OSXHYBRID)/Contents/Info.plist > $(OSXHYBRID)/Contents/Info.plist.tmp
 	mv $(OSXHYBRID)/Contents/Info.plist.tmp $(OSXHYBRID)/Contents/Info.plist
-	/bin/cp data/pymol/splash.png $(OSXHYBRID)/pymol/data/pymol/
+	/bin/cp epymol/data/pymol/splash.png $(OSXHYBRID)/pymol/data/pymol/
 	/bin/rm -r $(OSXHYBRID)/Contents/Resources/English.lproj/MainMenu.nib
 	/bin/rm -r $(OSXHYBRID)/Contents/Resources/English.lproj/MainMenu~.nib
 	/bin/cp -r ext/lib/tcl8.4 $(OSXHYBRID)
 	/bin/cp -r ext/lib/tk8.4 $(OSXHYBRID)
 
 
+mac-hybrid-beta: mac-hybrid
+	/bin/cp epymol/data/pymol/beta/splash.png $(OSXHYBRID)/pymol/data/pymol/
+
 mac-beta:
 	make distclean
 	make mac

=== layer0/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 include ../Rules.make
 
-CFLAGS = $(PYMOL_INC_DIRS) $(C_FLAGS)
+CFLAGS = $(PYMOL_INC_DIRS) $(C_FLAGS) -I../ov/src
 
 all: layer

## pymol 0.98+0.99rc6

=== Makefile ===

include Rules.make

all: unix contrib

PRIME = ls *.c | sed 's/.c$$/.o/'| awk 'BEGIN{printf("OBJS=")}{printf("%s ",$$1)}END{print}'>.files;ls *.c | sed 's/.c$$/.p/'| awk 'BEGIN{printf("DEPS=")}{printf("%s ",$$1)}END{print}'>>.files; touch .depends; cat .files .depends > .includes

MINDEP=$(PYMOL_PATH)/products/unix-mindep
MDP=$(MINDEP)/pymol

.includes:
	cd ov/src;$(PRIME)
	cd layer0;$(PRIME)
	cd layer1;$(PRIME)
	cd layer2;$(PRIME)
	cd layer3;$(PRIME)
	cd layer4;$(PRIME)
	cd layer5;$(PRIME)
	touch .includes

.update:
	cd ov/src;$(MAKE)
	cd layer0;$(MAKE)
	cd layer1;$(MAKE)
	cd layer2;$(MAKE)
	cd layer3;$(MAKE)
	cd layer4;$(MAKE)
	cd layer5;$(MAKE)
	touch .update

ov: 
	cd ov/src;$(MAKE)

0:
	cd layer0;$(MAKE)

1:
	cd layer1;$(MAKE)

2:
	cd layer2;$(MAKE)

3:
	cd layer3;$(MAKE)

4:
	cd layer4;$(MAKE)

5:
	cd layer5;$(MAKE)

.depends: 
	/bin/rm -f .includes
	cd ov/src;$(MAKE) depends
	cd layer0;$(MAKE) depends
	cd layer1;$(MAKE) depends
	cd layer2;$(MAKE) depends
	cd layer3;$(MAKE) depends
	cd layer4;$(MAKE) depends
	cd layer5;$(MAKE) depends

.contrib:
	cd contrib;$(MAKE)
	touch .contrib

contrib: .contrib

lib:  .includes .depends .update 
	/bin/rm -f .update .includes
	ar crv libPyMOL.a */*.o ov/src/*.o 
	ranlib libPyMOL.a

unix: .includes .depends .update 
	/bin/rm -f .update .includes
	$(CC) $(BUILD) $(DEST) */*.o ov/src/*.o $(CFLAGS)  $(LIB_DIRS) $(LIBS)	

semistatic: .includes .depends .update
	/bin/rm -f .update .includes
	cd contrib;$(MAKE) static
	$(CC) $(BUILD) $(DEST) */*.o ov/src/*.o $(CFLAGS) $(LIB_DIRS) $(LIBS)	
	$(PYTHON_EXE) modules/compile_pymol.py

# need to be root to do this...

unix-mindep: semistatic
	/bin/rm -rf $(MINDEP)
	install -d $(MDP)/ext/lib
	cp -r modules $(MDP)
	cp -r test $(MDP)
	cp -r data $(MDP)	
	cp -r examples $(MDP)
	/bin/rm -rf $(MDP)/examples/package
	cp -r scripts $(MDP)
	cp -r pymol.exe $(MDP)
	cp -r ext/lib/python2.4 $(MDP)/ext/lib
	cp -r ext/lib/tcl8.4 $(MDP)/ext/lib
	cp -r ext/lib/tk8.4 $(MDP)/ext/lib
	/bin/rm -f $(MDP)/ext/lib/python2.4/config/libpython2.4.a
	/bin/rm -rf $(MDP)/ext/lib/python2.4/test
	cp LICENSE $(MDP)
	cp README $(MDP)
	cp setup/INSTALL.unix-mindep $(MDP)/INSTALL
	cp setup/setup.sh.unix-mindep $(MDP)/setup.sh

unix-beta: unix-mindep
	cp epymol/data/pymol/beta/splash.png $(MDP)/data/pymol/splash.png
	cd $(MINDEP);chown -R nobody pymol
	cd $(MINDEP);chgrp -R nobody pymol
	cd $(MINDEP);tar -cvf - pymol | gzip > ../pymol-0_xx-bin-xxxxx-mindep.tgz

unix-product: unix-mindep
	cp epymol/data/pymol/splash.png $(MDP)/data/pymol/splash.png
	cp epymol/LICENSE.txt $(MDP)/LICENSE
	find $(MINDEP)/pymol -type d -name CVS | awk '{printf "/bin/rm -rf ";print;}' | sh
	/bin/rm -f $(MINDEP)/pymol/test/pdb
	cd $(MINDEP);chown -R nobody pymol
	cd $(MINDEP);chgrp -R nobody pymol
	cd $(MINDEP);tar -cvf - pymol | gzip > ../pymol-0_xx-bin-xxxxx-mindep.tgz

mac-product: unix-mindep
	cp setup/setup.sh.macosx-x11 $(MDP)/setup.sh
	cp epymol/data/pymol/splash.png $(MDP)/data/pymol/splash.png
	cp epymol/LICENSE.txt $(MDP)/LICENSE
	cd $(MINDEP);chown -R nobody pymol
	cd $(MINDEP);chgrp -R nobody pymol
	cd $(MINDEP);tar -cvf - pymol | gzip > ../pymol-0_xx-bin-xxxxx-mindep.tgz

unix-helper: unix-mindep-build
	cp setup/setup.sh.unix-helper $(MDP)/setup.sh
	cd $(MINDEP);tar -cvf - pymol | gzip > ../helperpymol-0_xx-bin-xxxxx-mindep.tgz

# Sharp3D display running under linux

unix-s3d: .includes .depends .update 
	cd sharp3d/src; $(MAKE)
	$(CC) $(BUILD) $(DEST) */*.o ov/src/*.o sharp3d/src/*.o $(CFLAGS) $(LIB_DIRS) $(LIBS) -Lsharp3d/lib -lsgl.1.3 -lspl.1.2 

unix-s3d-semistatic: .includes .depends .update
	/bin/rm -f .update .includes
	cd contrib;$(MAKE) static
	cd sharp3d/src; $(MAKE)
	$(CC) $(BUILD) $(DEST) */*.o ov/src/*.o sharp3d/src/*.o $(CFLAGS) $(LIB_DIRS) $(LIBS) -Lsharp3d/lib -lsgl.1.3 -lspl.1.2 

unix-s3d-build: unix-s3d-semistatic
	$(PYTHON_EXE) modules/compile_pymol.py
	/bin/rm -rf $(MINDEP)
	install -d $(MDP)/ext/lib
	cp -r modules $(MDP)
	cp -r test $(MDP)
	cp -r data $(MDP)	
	cp -r examples $(MDP)
	cp -r scripts $(MDP)
	cp -r pymol.exe $(MDP)
	cp -r ext/lib/python2.3 $(MDP)/ext/lib
	cp -r ext/lib/tcl8.4 $(MDP)/ext/lib
	cp -r ext/lib/tk8.4 $(MDP)/ext/lib
	cp sharp3d/lib/* $(MDP)/ext/lib/
	/bin/rm -f $(MDP)/ext/lib/python2.3/config/libpython2.3.a
	/bin/rm -rf $(MDP)/ext/lib/python2.3/test
	cp LICENSE $(MDP)
	cp README $(MDP)
	cp setup/INSTALL.unix-mindep $(MDP)/INSTALL
	cp setup/setup.sh.unix-s3d $(MDP)/setup.sh
	cd $(MINDEP);chown -R nobody pymol
	cd $(MINDEP);chgrp -R nobody pymol

unix-s3d-product: unix-s3d-build
	cd $(MINDEP);tar -cvf - pymol | gzip > ../pymol-0_xx-bin-sharp3d.tgz

fast: .update
	/bin/rm -f .update 
	$(CC) $(BUILD) */*.o ov/src/*.o $(CFLAGS) $(LIB_DIRS) $(LIBS)

depends: 
	/bin/rm -f */*.p
	$(MAKE) .depends

partial:
	touch layer5/main.c
	touch layer1/P.c
	touch layer4/Cmd.c
	/bin/rm -f modules/pymol/_cmd.so pymol.exe
	$(MAKE)

clean: 
	touch .no_fail
	/bin/rm -f layer*/*.o ov/src/*.o layer*/*.p modules/*/*.pyc modules/*/*/*.pyc \
	layer*/.files layer*/.depends layer*/.includes layerOSX*/src*/*.o \
	*.log core */core game.* log.* _cmd.def .update .contrib .no_fail* \
	libPyMOL.a
	cd contrib;$(MAKE) clean

distclean: clean
	touch .no_fail
	/bin/rm -f modules/*.pyc modules/*.so modules/*/*.so modules/*/*/*.so \
	modules/*/*/*/*.so pymol.exe \
	modules/*/*.pyc modules/*/*/*.pyc modules/*/*/*/*.pyc .no_fail* test/cmp/*
	/bin/rm -rf build
	/bin/rm -rf products/*.tgz products/unix-mindep
	cd contrib;$(MAKE) distclean

pyclean: clean
	/bin/rm -rf build
	/bin/rm -rf ext/lib/python2.1/site-packages/pymol
	/bin/rm -rf ext/lib/python2.1/site-packages/chempy
	/bin/rm -rf ext/lib/python2.1/site-packages/pmg_tk
	/bin/rm -rf ext/lib/python2.1/site-packages/pmg_wx

dist: distclean
	cd ..;tar -cvf - pymol | gzip > pymol.tgz

pmw: 
	cd modules; gunzip < ./pmg_tk/pmw.tgz | tar xvf -

compileall:
	$(PYTHON_EXE) modules/compile_pymol.py

=== contrib/Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 	cd modules;$(MAKE) -f Makefile.static
 	cd sglite;$(MAKE) static
 	cd pyopengl;$(MAKE) static
+	touch champ/.includes
+	cd champ;$(MAKE) prime
 	cd champ;$(MAKE) static
 
 make-modules:
@@ -36,7 +38,7 @@
 
 clean: 
 	cd sglite;$(MAKE) clean
-	cd champ;$(MAKE) clean
+	cd champ;touch .includes;$(MAKE) clean
 	/bin/rm -f */*.o
 
 distclean: clean

=== contrib/champ/Makefile ===
--- 
+++ 
@@ -5,6 +5,9 @@
 include .includes
 
 PRIME = ls *.c | sed 's/.c$$/.o/'| awk 'BEGIN{printf("OBJS=")}{printf("%s ",$$1)}END{print}'>.files;ls *.c | sed 's/.c$$/.p/'| awk 'BEGIN{printf("DEPS=")}{printf("%s ",$$1)}END{print}'>>.files; touch .depends; cat .files .depends > .includes
+
+prime:
+	$(PRIME)
 
 .includes:
 	$(PRIME)

=== contrib/sglite/Makefile ===
include ../../Rules.make

CFLAGS = $(C_FLAGS) -I../modules

OBJ= sgglobal.o sgcb.o sgcharmx.o sgfile.o sggen.o sghall.o sghkl.o \
    sgltr.o sgmath.o sgmetric.o sgnorm.o sgprop.o sgss.o sgstr.o sgsymbols.o \
    sgtidy.o sgtype.o sgutil.o runtests.o sglitemodule.o 

all: sglite.so
static: $(OBJ)

.c.o: 
	$(CC) $(CFLAGS) -c $*.c -DPythonTypes

sglite.so: $(OBJ) 
	$(CC) $(CCOPT1) $(BUILD) *.o -o sglite.so

clean:
	touch .no_fail
	/bin/rm -f *.so *.o .no_fail*

distclean: clean

=== ov/src/Makefile ===

include ../../Rules.make

CFLAGS =  $(C_FLAGS)

all: layer

include .includes

.c.p:
	$(CC) -M $(CFLAGS) $< | sed 's/$*\\.o[ :]*/& $@/g;s/[^ ]*\/usr\/[^ ]*//g;s/[^ ]*\/ext\/[^ ]*//g' > $@

layer: $(DEPS) $(OBJS)

depends: $(DEPS)
	cat *.p > .depends;cat .files .depends > .includes;

## pymol 1.4.1

=== debian/changelog ===
pymol (1.4.1-3) unstable; urgency=low

  * debian/control (Build-Depends): Dropped dpatch in favour of source
    format 3.0 (quilt).
  * debian/pymol.pyremove: Added. Remove web/*__init__.py to fix file conflict
    (closes: #650756).
  * debian/rules: Remove dpatch addon call. Disable verbose output.
    (override_dh_clean): Don't remove test/pymol-test; quilt will do.
  * debian/README.source: Dropped obsolete file.
  * debian/source/lintian-overrides: Ditto.
  * debian/patches/02_test-suite.dpatch: Renamed to
    debian/patches/02_test-suite.patch.
  * debian/patches/03_povray.dpatch: Renamed to
    debian/patches/03_povray.patch.
  * debian/patches/05_examples_data_path.dpatch: Renamed to
    debian/patches/05_examples_data_path.patch.
  * debian/patches/09_chempy_data_path.dpatch: Renamed to
    debian/patches/09_chempy_data_path.patch.
  * debian/patches/11_fix__cmd_import.dpatch: Renamed to
    debian/patches/11_fix__cmd_import.patch.
  * debian/patches/13_activate_vmd_plugin.dpatch: Renamed to
    debian/patches/13_activate_vmd_plugin.patch.
  * debian/patches/17_cmyk_png_data_path.dpatch: Renamed to
    debian/patches/17_cmyk_png_data_path.patch.
  * debian/patches/19_blosum_matrix_path.dpatch: Renamed to
    debian/patches/19_blosum_matrix_path.patch.
  * debian/patches/20_output_license_terms.dpatch: Renamed to
    debian/patches/20_output_license_terms.patch.
  * debian/patches/21_fix_png_batch_mode.dpatch: Renamed to
    debian/patches/21_fix_png_batch_mode.patch.
  * debian/patches/22_fix_pymol_import.dpatch: Renamed to
    debian/patches/22_fix_pymol_import.patch.
  * debian/patches/23_bts576210_FTBFS_ia64.dpatch: Renamed to
    debian/patches/23_bts576210_FTBFS_ia64.patch.
  * debian/patches/24_autodock_plugin.dpatch: Renamed to
    debian/patches/24_autodock_plugin.patch.
  * debian/patches/00list: Renamed to debian/patches/series and adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 04 Dec 2011 22:53:06 +0100

pymol (1.4.1-2) unstable; urgency=low

  * For whatever reason (dh compat level or dh_python2 usage) dependencies
    for all .so files are now calculated (closes: #611436).
  * debian/compat: Increased dh compatibility level to 7.
  * debian/control: Added X-Python-Version and XB-Python-Version field.
    (Standards-Version): Bumped to 3.9.2.
    (Build-Depends): Added dpatch version for debhelper addon.
    spelling-error-in-description
    (Vcs-Browser): Point to real location.
    (Description): Fixed spelling-error-in-description.
  * debian/pymol.docs: Added.
  * debian/pymol.manpages: Ditto.
  * debian/rules: Rewritten for debhelper 7. Make use of python2 and dpatch
    debhelper addons. Install shader files (closes: #644394).
  * debian/source/format: Added for source format 3.0.
  * debian/source/lintian-overrides: Temporarily added as long as we stay with
    dpatch here.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 30 Nov 2011 21:51:42 +0100

pymol (1.4.1-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/watch: Adjusted to catch the re-introduced tarball download.

 -- Michael Banck <mbanck@debian.org>  Sat, 27 Aug 2011 19:17:05 +0200

pymol (1.4~beta1-1) experimental; urgency=low

  [ Michael Banck ]
  * New upstream beta release.
  * debian/patches/13_activate_vmd_plugin: Refreshed.
  * debian/patches/18_enable_gl_shaders.dpatch: Removed, no longer needed.
  * debian/control (Build-Depends): Added libglew1.5-dev.

 -- Michael Banck <mbanck@debian.org>  Sun, 17 Apr 2011 00:26:31 +0200

pymol (1.3r2-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/13_activate_vmd_plugin: Removed, no longer needed.
  * debian/patches/19_blosum_matrix_path.dpatch: Refreshed.
  * debian/patches/24_autodock_plugin.dpatch: New patch, includes the 
    autodock plugin from Daniel Seeliger.
  * debian/patches/00list: Adjusted.
  * debian/control (Standards-Version): Bumped to 3.9.1.
  * debian/control (Depends): Added ${misc:Depends}.

 -- Michael Banck <mbanck@debian.org>  Sat, 16 Apr 2011 23:12:01 +0200

pymol (1.2r2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/23_bts576210_FTBFS_ia64.dpatch
    - fix a FTBFS on ia64, working aroung a bug in GCC; thanks to Jakub Wilk for
      the report and patch; Closes: #576210

 -- Sandro Tosi <morph@debian.org>  Mon, 10 May 2010 09:34:51 +0200

pymol (1.2r2-1) unstable; urgency=low

  * New upstream release.  This upload is dedicated to the pymol founder and
    lead developer Warren DeLano, who passed away on November 3rd, 2009.

  [ Daniel Leidert (dale) ]
  * debian/patches/18_enable_gl_shaders.dpatch: Refreshed.

  [ Michael Banck ]
  * debian/patches/21_fix_png_batch_mode.dpatch: New patch, fixes PNG
    generation in batch mode, by Vincent Fourmond (closes: #560412).
  * debian/patches/22_fix_pymol_import.dpatch: New patch, fixes importing of
    pymol module from python (closes: #556878).

 -- Michael Banck <mbanck@debian.org>  Sun, 27 Dec 2009 18:55:26 +0100

pymol (1.2r1-3) unstable; urgency=low

  * debian/pymol.launch.in: Don't execute the package (closes: #550721).
    Otherwise package execution fails with python 2.6 and 3.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 04 Nov 2009 00:17:15 +0100

pymol (1.2r1-2) unstable; urgency=low

  * debian/control (Build-Depends): Added python for python.mk.
  * debian/pymol.launch.in: Replace $* with $@ and add a construct to replace
    the test (closes: #549268).
  * debian/rules: Include python.mk.
    (install): Use --install-layout=deb via py_setup_install_args (closes:
    #547871).
  * debian/patches/02_test-suite.dpatch: Adjusted.
    - test/pymol-test: Include /usr/lib/pythonX.Y/dist-packages too.
  * debian/patches/20_output_license_terms.dpatch: Added.
    - Show the Debian package copyright file when using 'Output License
      Terms', which fully reproduces the LICENSE file.
  * debian/patches/00list: Adjusted.



=== debian/control ===
Source: pymol
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>,
 Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Build-Depends: debhelper (>> 7.0.50~), python, python-dev,
 python-numpy, freeglut3-dev, libglew1.5-dev, libpng12-0-dev, tk8.4-dev,
 libfreetype6-dev, python-support (>= 0.4), texlive-latex-base
Standards-Version: 3.9.2
X-Python-Version: current
Homepage: http://www.pymol.org
Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/pymol
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/pymol/
DM-Upload-Allowed: yes

Package: pymol
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-tk, python-pmw
Recommends: apbs
XB-Python-Version: ${python:Versions}
Description: Molecular Graphics System
 PyMOL is a molecular graphics system targeted at medium to large
 biomolecules like proteins. It can generate high-quality publication-ready
 molecular graphics images and animations. 
 .
 Features include:
  * Visualization of molecules, molecular trajectories and surfaces
    of crystallography data or orbitals
  * Molecular builder and sculptor
  * Internal raytracer and movie generator
  * Fully extensible and scriptable via a Python interface
 .
 File formats PyMOL can read include PDB, XYZ, CIF, MDL Molfile, ChemDraw,
 CCP4 maps, XPLOR maps and Gaussian cube maps.

=== debian/rules ===
#!/usr/bin/make -f
# -*- Makefile -*-

#export DH_VERBOSE=1

export PYMOL_PATH=$(CURDIR)
PACKAGE = pymol
PYTHON_VERSION := $(shell pyversions -dv)

%:
	dh $@ --with python2 --parallel

override_dh_auto_configure:
	dh_auto_configure -Spython_distutils

override_dh_auto_build:
	dh_auto_build -Spython_distutils

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_auto_clean -Spython_distutils
	python setup.py clean

override_dh_auto_test:
	#dh_auto_test
	chmod +x test/pymol-test
	(cd test && python run)

override_dh_clean:
	$(RM) -r build test/tmp test/cmp
	dh_clean debian/pymol.launch debian/pymol-ref-card.* \
	         Rules.make

override_dh_install: debian/pymol-ref-card.pdf debian/pymol.launch
	dh_install data/shaders usr/lib/python$(PYTHON_VERSION)/dist-packages/pymol/data/
	install -m 755 debian/pymol.launch debian/pymol/usr/bin/pymol

override_dh_compress:
	dh_compress -Xpdb

debian/pymol-ref-card.pdf: debian/pymolRef.tex
	pdflatex -output-directory $(@D) -jobname pymol-ref-card $<

debian/pymol.launch: debian/pymol.launch.in
	sed -e s/@PYTHON_VERSION@/$(PYTHON_VERSION)/g < $< > $@

## pymol 1.5.0.1

=== debian/changelog ===
pymol (1.5.0.1-2) unstable; urgency=low

  * debian/patches/26_subversion_updates.patch: New patch, includes the fixes
    from subversion since 1.5.0.1 up to revision 3996.
  * debian/upstream: New file.
  * debian/pymolRef.tex: Updated with latest version from
    http://www.pymolwiki.org/index.php/CheatSheet.

 -- Michael Banck <mbanck@debian.org>  Wed, 02 May 2012 18:11:37 +0200

pymol (1.5.0.1-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/patches/13_activate_vmd_plugin.patch: Refreshed. 
  * debian/patches/19_blosum_matrix_path.patch: Refreshed.
  * debian/patches/23_bts576210_FTBFS_ia64.patch: Removed, no longer needed.
  * debian/patches/25_ignore_setup_clean_errors.patch: New patch, includes a
    failure if setup.py is run with "clean" as argument. 
  * debian/rules (override_dh_clean): Remove some new leftover files.
  * debian/patches/patches/13_activate_vmd_plugin.patch: Revert some changes
    since 1.4.1 which make the molfile plugin fail to build.

 -- Michael Banck <mbanck@debian.org>  Sun, 19 Feb 2012 21:45:17 +0100

=== debian/rules ===
--- 
+++ 
@@ -27,9 +27,9 @@
 	(cd test && python run)
 
 override_dh_clean:
-	$(RM) -r build test/tmp test/cmp
+	$(RM) -r build test/tmp test/cmp generated
 	dh_clean debian/pymol.launch debian/pymol-ref-card.* \
-	         Rules.make
+	         Rules.make create_shadertext.pyc
 
 override_dh_install: debian/pymol-ref-card.pdf debian/pymol.launch
 	dh_install data/shaders usr/lib/python$(PYTHON_VERSION)/dist-packages/pymol/data/

=== debian/watch ===
# See uscan(1) for format
# TODO: http://pymol.svn.sourceforge.net/viewvc/pymol/tags.tar.gz?view=tar
# opts=uversionmangle=s/^/0~svn\./,downloadurlmangle=s/xmds\?view.*$/xmds\/trunk\/xmds-doc.tar.gz\?view=tar/,filenamemangle=s/^.*revision=(\d+)$/xmds-doc-0~svn.$1.tar.gz/ \
#
#  http://xmds.svn.sourceforge.net/viewvc/xmds/trunk/xmds-doc/ .*revision=(\d+)$
#
#version=3
#opts=uversionmangle=s/^(?!1)0?([\d]+)/0\.$1/;s/(.*)rc(.*)/$1~$2/, \
# http://pymol.svn.sourceforge.net/viewvc/pymol/tags/ /viewvc/pymol/tags/(?:[rv])?([\d\.]+(?:r\d+)?)(?:rc\d+)?/

version=3
opts=uversionmangle=s/b(\d+)/~beta$1/g, \
 http://sf.net/pymol/pymol-v?([^-]+)(?:-src)?\.tar\.bz2

## pymol 1.7.0.0

=== debian/changelog ===
pymol (1.7.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/30_pymol_data_path.patch: New patch, uses PYMOL_DATA instead
    of PYMOL_PATH environment variable for data file location.

 -- Michael Banck <mbanck@debian.org>  Mon, 20 Jan 2014 17:43:21 +0100

pymol (1.6.0.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replaced the obsolete tk8.4-dev by tk-dev in build dependencies.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Oct 2013 20:45:06 +0400

pymol (1.6.0.0-1) unstable; urgency=low

  * New upstream prelease.
    - Fixes session saving/loading (closes: #668586).

  [ Michael Banck ]
  * debian/patches/11_fix__cmd_import.patch: Removed, no longer needed.
  * debian/patches/26_subversion_updates.patch: Likewise.
  * debian/pymol.install: Install data and scripts directories under
    /usr/share/pymol, as intended by upstream.
  * debian/pymol.launch.in: Updated for new data path location.
  * debian/patches/05_examples_data_path.patch: Removed, no longer needed.
  * debian/patches/09_chempy_data_path.patch: Likewise.
  * debian/patches/13_activate_vmd_plugin.patch: Likewise.
  * debian/patches/17_cmyk_png_data_path.patch: Likewise.
  * debian/patches/19_blosum_matrix_path.patch: Likewise.
  * debian/patches/20_output_license_terms.patch: Likewise.
  * debian/patches/25_ignore_setup_clean_errors.patch: Likewise.
  * debian/rules (override_dh_auto_clean): Do not abort on failure and remove
  * redundant call to setup.py.
  * debian/patches/22_fix_pymol_import.patch: Change the value of $PYMOL_PATH
    to the one found by find_module('pymol').
  * debian/patches/28_no_data_install_in_python_path.patch: New patch, skips
    installation of the data (and examples, test) directories into the pymol
    path.
  * debian/patches/29_fix_path_to_splash.patch: New patch, changes search path
    for splash image from $PYMOL_PATH to $PYMOL_DATA.
  * debian/patches/series: Disable 24_autodock_plugin.patch for now, as it does
    work currently.
  * debian/control (Standards-Version): Bumped to 3.9.4.

  [ Daniel Leidert ]
  * debian/control (Uploaders): Removed myself.
    (Depends): Added python-numpy (LP: #1076104).
    (Suggests): Added chemical-mime-data.
  * debian/gnome-pymol.desktop: Dropped unused file.
  * debian/pymol.desktop (MimeType, Exec): Additions (LP: #1087265).
  * debian/pymol.launch.in: Environmental path variables (LP: #925445).
  * debian/upstream: Minor additions.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Thu, 08 Aug 2013 20:32:10 +0200

=== debian/control ===
Source: pymol
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>> 7.0.50~),
               freeglut3-dev,
               libfreetype6-dev,
               libglew1.5-dev,
               libpng12-0-dev,
               python,
               python-dev,
               python-numpy,
               python-support (>= 0.4),
               texlive-latex-base,
               tk-dev
Standards-Version: 3.9.4
X-Python-Version: current
Homepage: http://www.pymol.org
Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/pymol
Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/pymol/

Package: pymol
Architecture: any
Depends: python-numpy,
         python-pmw,
         python-tk,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: apbs
XB-Python-Version: ${python:Versions}
Description: Molecular Graphics System
 PyMOL is a molecular graphics system targeted at medium to large
 biomolecules like proteins. It can generate high-quality publication-ready
 molecular graphics images and animations.
 .
 Features include:
  * Visualization of molecules, molecular trajectories and surfaces
    of crystallography data or orbitals
  * Molecular builder and sculptor
  * Internal raytracer and movie generator
  * Fully extensible and scriptable via a Python interface
 .
 File formats PyMOL can read include PDB, XYZ, CIF, MDL Molfile, ChemDraw,
 CCP4 maps, XPLOR maps and Gaussian cube maps.

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,7 @@
 
 override_dh_auto_clean:
 	[ ! -f Makefile ] || $(MAKE) distclean
-	dh_auto_clean -Spython_distutils
-	python setup.py clean
+	-dh_auto_clean -Spython_distutils
 
 override_dh_auto_test:
 	#dh_auto_test
@@ -32,6 +31,7 @@
 	         Rules.make create_shadertext.pyc
 
 override_dh_install: debian/pymol-ref-card.pdf debian/pymol.launch
+	dh_numpy
 	dh_install data/shaders usr/lib/python$(PYTHON_VERSION)/dist-packages/pymol/data/
 	install -m 755 debian/pymol.launch debian/pymol/usr/bin/pymol

## pymol 1.7.1.3

=== debian/changelog ===
pymol (1.7.1.3-1) unstable; urgency=low

  * New upstream point release.
  * debian/patches/30_pymol_data_path.patch: Removed: applied upstream.

 -- Michael Banck <mbanck@debian.org>  Wed, 21 May 2014 17:54:04 +0200
